org.keycloak.services.resources

## Class JsResource

- java.lang.Object
- - org.keycloak.services.resources.JsResource

-     @Path(value="/js")
      public class JsResource
      extends Object

  Get keycloak.js file for javascript clients
  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsResource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `getKeycloakAuthzJs(String version)` Get keycloak-authz.js file for javascript clients
    `javax.ws.rs.core.Response` | `getKeycloakAuthzJsWithVersion(String version)`
    `javax.ws.rs.core.Response` | `getKeycloakAuthzMinJs(String version)`
    `javax.ws.rs.core.Response` | `getKeycloakAuthzMinJsWithVersion(String version)`
    `javax.ws.rs.core.Response` | `getKeycloakJs(String version)` Get keycloak.js file for javascript clients
    `javax.ws.rs.core.Response` | `getKeycloakJsWithVersion(String version)`
    `javax.ws.rs.core.Response` | `getKeycloakMinJs(String version)`
    `javax.ws.rs.core.Response` | `getKeycloakMinJsWithVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsResource

          public JsResource()

  - ### Method Detail

    - #### getKeycloakJs

          @GET
           @Path(value="/keycloak.js")
           @Produces(value="text/javascript; charset=utf-8")
          public javax.ws.rs.core.Response getKeycloakJs(@QueryParam(value="version")
                                                                                                                                              String version)

      Get keycloak.js file for javascript clients
      Returns:

    - #### getKeycloakJsWithVersion

          @GET
           @Path(value="/{version}/keycloak.js")
           @Produces(value="text/javascript; charset=utf-8")
          public javax.ws.rs.core.Response getKeycloakJsWithVersion(@PathParam(value="version")
                                                                                                                                                                   String version)

    - #### getKeycloakMinJs

          @GET
           @Path(value="/keycloak.min.js")
           @Produces(value="text/javascript; charset=utf-8")
          public javax.ws.rs.core.Response getKeycloakMinJs(@QueryParam(value="version")
                                                                                                                                                     String version)

    - #### getKeycloakMinJsWithVersion

          @GET
           @Path(value="/{version}/keycloak.min.js")
           @Produces(value="text/javascript; charset=utf-8")
          public javax.ws.rs.core.Response getKeycloakMinJsWithVersion(@PathParam(value="version")
                                                                                                                                                                          String version)

    - #### getKeycloakAuthzJs

          @GET
           @Path(value="/keycloak-authz.js")
           @Produces(value="text/javascript; charset=utf-8")
          public javax.ws.rs.core.Response getKeycloakAuthzJs(@QueryParam(value="version")
                                                                                                                                                         String version)

      Get keycloak-authz.js file for javascript clients
      Returns:

    - #### getKeycloakAuthzJsWithVersion

          @GET
           @Path(value="/{version}/keycloak-authz.js")
           @Produces(value="text/javascript; charset=utf-8")
          public javax.ws.rs.core.Response getKeycloakAuthzJsWithVersion(@PathParam(value="version")
                                                                                                                                                                              String version)

    - #### getKeycloakAuthzMinJs

          @GET
           @Path(value="/keycloak-authz.min.js")
           @Produces(value="text/javascript; charset=utf-8")
          public javax.ws.rs.core.Response getKeycloakAuthzMinJs(@QueryParam(value="version")
                                                                                                                                                                String version)

    - #### getKeycloakAuthzMinJsWithVersion

          @GET
           @Path(value="/{version}/keycloak-authz.min.js")
           @Produces(value="text/javascript; charset=utf-8")
          public javax.ws.rs.core.Response getKeycloakAuthzMinJsWithVersion(@PathParam(value="version")
                                                                                                                                                                                     String version)

Copyright © 2021 JBoss by Red Hat. All rights reserved.